JAXPDOMAdapter (JDOM v1.1.1)
Date: 2018-05-07

org.jdom.adapters

## Class JAXPDOMAdapter

- java.lang.Object
- - org.jdom.adapters.AbstractDOMAdapter
  - - org.jdom.adapters.JAXPDOMAdapter

- All Implemented Interfaces:
    DOMAdapter

      public class JAXPDOMAdapter
      extends AbstractDOMAdapter

  An adapter for any parser supporting the Sun JAXP APIs.
  Version:
    $Revision: 1.13 $, $Date: 2007/11/10 05:28:59 $
  Author:
    Jason Hunter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAXPDOMAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Document` | `createDocument()` This creates an empty `Document` object based on a specific parser implementation.
    `org.w3c.dom.Document` | `getDocument(java.io.InputStream in, boolean validate)` This creates a new ``Document`` from an existing `InputStream` by letting a JAXP parser handle parsing using the supplied stream.

    - ### Methods inherited from class org.jdom.adapters.AbstractDOMAdapter

      `createDocument, getDocument, setInternalSubset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JAXPDOMAdapter

          public JAXPDOMAdapter()

  - ### Method Detail

    - #### getDocument

          public org.w3c.dom.Document getDocument(java.io.InputStream in,
                                         boolean validate)
                                           throws java.io.IOException,
                                                  JDOMException

      This creates a new ``Document`` from an existing `InputStream` by letting a JAXP parser handle parsing using the supplied stream.
      Specified by:
        `getDocument` in interface `DOMAdapter`
      Specified by:
        `getDocument` in class `AbstractDOMAdapter`
      Parameters:
        `in` - `InputStream` to parse.
        `validate` - `boolean` to indicate if validation should occur.
      Returns:
        `Document` - instance ready for use.
      Throws:
        `java.io.IOException` - when I/O error occurs.
        `JDOMException` - when errors occur in parsing.

    - #### createDocument

          public org.w3c.dom.Document createDocument()
                                              throws JDOMException

      This creates an empty `Document` object based on a specific parser implementation.
      Specified by:
        `createDocument` in interface `DOMAdapter`
      Specified by:
        `createDocument` in class `AbstractDOMAdapter`
      Returns:
        `Document` - created DOM Document.
      Throws:
        `JDOMException` - when errors occur in parsing.

Copyright ? 2007 Jason Hunter, Brett McLaughlin. All Rights Reserved.